공급자 등록
POST
/
v1
/
suppliers
공급자 등록
curl --request POST \
--url https://xapi.bolta.io/v1/suppliers \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"identificationNumber": "<string>",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "<string>"
}
'import requests
url = "https://xapi.bolta.io/v1/suppliers"
payload = {
"identificationNumber": "<string>",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identificationNumber: '<string>',
organizationName: '<string>',
representativeName: '<string>',
taxRegistrationId: '<string>'
})
};
fetch('https://xapi.bolta.io/v1/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supplierKey": "<string>",
"identificationNumber": "<string>",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "<string>",
"certificate": {
"issuedAt": "<string>",
"expiresAt": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}인증
API 키를 Base64 인코딩하여 전달합니다. Username에 API 키를 입력하고 Password는 비워두세요.
본문
application/json
세금계산서를 발행하는 공급자(발행자) 정보. 공급자 등록 API(POST /v1/suppliers)의 요청 본문입니다.
응답
공급자(발행자) 식별 키
사업자등록번호
Pattern:
^\d{10}$예시:
"1234567890"
상호명
Required string length:
1 - 70대표자명
Required string length:
1 - 30종사업장번호
Required string length:
4Pattern:
^(?!0{4})\d{4}$예시:
"0001"
"0002"
Show child attributes
Show child attributes
⌘I
공급자 등록
